/*
 * Copyright (c) CERN 2013-2015
 *
 * Copyright (c) Members of the EMI Collaboration. 2010-2013
 *  See  http://www.eu-emi.eu/partners for details on the copyright
 *  holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef LOGHELPER_H
#define LOGHELPER_H

#include "common/Logger.h"
#include "Transfer.h"

/// Configure the logging levels for both gfal2 and fts3 loggers
void setupLogging(unsigned debugLevel);

/// Generate the log path for the given transfer
std::string generateLogPath(const std::string &baseDir, const Transfer &transfer);

/// Generate the archival log path
std::string generateArchiveLogPath(const std::string &baseDir, const Transfer &transfer);

#endif // LOGHELPER_H
